// ILMovieDBConstants.h
//
// Copyright (c) 2013 Gustavo Leguizamon (http://goopi.me)
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.

#pragma mark - API URLs

extern NSString * const kILMovieDBBaseURL;
extern NSString * const kILMovieDBBaseURLSSL;

#pragma mark - Configuration

extern NSString * const kILMovieDBConfiguration;

#pragma mark - Movies

extern NSString * const kILMovieDBMovie;
extern NSString * const kILMovieDBMovieAlternativeTitles;
extern NSString * const kILMovieDBMovieCredits;
extern NSString * const kILMovieDBMovieImages;
extern NSString * const kILMovieDBMovieKeywords;
extern NSString * const kILMovieDBMovieReleases;
extern NSString * const kILMovieDBMovieTrailers;
extern NSString * const kILMovieDBMovieTranslations;
extern NSString * const kILMovieDBMovieSimilarMovies;
extern NSString * const kILMovieDBMovieReviews;
extern NSString * const kILMovieDBMovieLists;
extern NSString * const kILMovieDBMovieChanges;

extern NSString * const kILMovieDBMovieLatest;
extern NSString * const kILMovieDBMovieUpcoming;
extern NSString * const kILMovieDBMovieTheatres;
extern NSString * const kILMovieDBMoviePopular;
extern NSString * const kILMovieDBMovieTopRated;

#pragma mark - Genres

extern NSString * const kILMovieDBGenreList;
extern NSString * const kILMovieDBGenreMovies;

#pragma mark - Collections

extern NSString * const kILMovieDBCollection;
extern NSString * const kILMovieDBCollectionImages;

#pragma mark - Search

extern NSString * const kILMovieDBSearchMovie;
extern NSString * const kILMovieDBSearchPerson;
extern NSString * const kILMovieDBSearchCollection;
extern NSString * const kILMovieDBSearchList;
extern NSString * const kILMovieDBSearchCompany;
extern NSString * const kILMovieDBSearchKeyword;

#pragma mark - People

extern NSString * const kILMovieDBPeople;
extern NSString * const kILMovieDBPeopleMovieCredits;
extern NSString * const kILMovieDBPeopleImages;
extern NSString * const kILMovieDBPeopleChanges;
extern NSString * const kILMovieDBPeoplePopular;
extern NSString * const kILMovieDBPeopleLatest;

#pragma mark - Lists

extern NSString * const kILMovieDBList;
extern NSString * const kILMovieDBListItemStatus;

#pragma mark - Companies

extern NSString * const kILMovieDBCompany;
extern NSString * const kILMovieDBCompanyMovies;

#pragma mark - Keywords

extern NSString * const kILMovieDBKeyword;
extern NSString * const kILMovieDBKeywordMovies;

#pragma mark - Discover

extern NSString * const kILMovieDBDiscover;

#pragma mark - Reviews

extern NSString * const kILMovieDBReview;

#pragma mark - Changes

extern NSString * const kILMovieDBChangesMovie;
extern NSString * const kILMovieDBChangesPerson;

#pragma mark - Jobs

extern NSString * const kILMovieDBJobList;